LINUX.ORG.RU
ФорумTalks

Как долго второй гном будет в стабильной ветке Дженты?

 ,


0

1

Всем здрасте =]

Арч надоел, да и захотелось оригинальный «настоящий» второй гном (сейчас юзаю MATE, кроме awesome). Из дистрибутивов со вторым гномом из-коробки или с возможностью безболезненной его установки выбор небольшой. Выбор пал на Gentoo и openSUSE.

Кто-нибудь в курсе, как долго в Gentoo второй гном будет в стабильной ветке и когда там ожидается переход на третий гном? Может чего в рассылке писали и т.д.

З.Ы.: Не нужно предлагать мне другой дистрибутив или юзать MATE. Фанбоям третьегнома просьба проходить мимо этого треда, дабы не портить мне аппетит =[

★★★★★

libastral подсказывает, что как только второй гном перестанет собираться с новыми стабильными библиотеками, его выкинут или заменят на мейт.

vurdalak ★★★★★ ()

пользуй rhel 6, там второй гном ещё десяток лет будет. или шестой дебиан

xsektorx ★★★ ()

использовать оверлей.

XVilka ★★★★ ()

Второй гном, насколько мне известно, пока не планируют удалять из главного дерева портажей, однако если есть одиночные утилиты, умеющие как gtk2 так и gtk3, то как правило их переводят на gtk3 only. Официально в генте gtk2 считается если не мертвым, то в предсмертном состоянии, однако я думаю, как только он полностью перестанет поддерживаться - тогда и будет предложено закопать^W перенести в отдельный оверлей GNOME 2, как в свое время случилось с KDE 3.5.10

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte

Т.е. другими словами, даже после перехода третьегнома в стабильное состояние в портажах, второй гном все равно можно будет поставить без особого гемора?

neocrust ★★★★★ ()
Ответ на: комментарий от neocrust

Да, пока не закопают gtk2 окончательно, ибо политика гентуразработчиков проста - поддерживается всё, у чего есть живой апстрим. Если апстрим объявил что пакет мёртв - значит в морг...

Pinkbyte ★★★★★ ()
Ответ на: комментарий от XVilka

такой вариант тоже не исключен, я о политике Gnome herd знаю смутно

Pinkbyte ★★★★★ ()

Не нужно предлагать мне другой дистрибутив или юзать MATE.

Нет, нужно. Юзай Мате.

geekless ★★ ()
Ответ на: комментарий от Pinkbyte

Второй гном, насколько мне известно, пока не планируют удалять из главного дерева портажей, однако если есть одиночные утилиты, умеющие как gtk2 так и gtk3, то как правило их переводят на gtk3 only.

Они там упоролись что ли? А хвалёные USE-флаги на что?

geekless ★★ ()
Ответ на: комментарий от Pinkbyte

Да, пока не закопают gtk2 окончательно, ибо политика гентуразработчиков проста - поддерживается всё, у чего есть живой апстрим. Если апстрим объявил что пакет мёртв - значит в морг...

У второгнома есть живой апстрим?

geekless ★★ ()
Ответ на: комментарий от geekless

ну видимо косяки правят да дыры латают, без разработки

xsektorx ★★★ ()

Я вас не понял. Вам не нравится третьегном, но вы хотите дженту? Ну тогда в путь, продолжайте хотеть дженту. К чему было заводить сию тему, я не понимаю.

andreyu ★★★★★ ()
Последнее исправление: andreyu (всего исправлений: 1)
Ответ на: комментарий от andreyu

Я вас не понял.

Для особо одаренных я акцентирую внимание на своем вопросе:

Кто-нибудь в курсе, как долго в Gentoo второй гном будет в стабильной ветке и когда там ожидается переход на третий гном?

neocrust ★★★★★ ()
Ответ на: комментарий от andreyu

Вам не нравится третьегном, но вы хотите дженту? Ну тогда в путь, продолжайте хотеть дженту.

Можно обосновать эту «глубокую» мысль?

KRoN73 ★★★★★ ()

А какая разница? Новые версии сабжа уже не выйдут(разумеется). Заблокировал версию, чтобы не обновился до третьегнома, ну и пользуйся.

Vekt ()
Ответ на: комментарий от Vekt

Заблокировал версию, чтобы не обновился до третьегнома, ну и пользуйся.

Я в Арче так и делал, пока не начался жесткий хардкор при обновлениях в виде конфликта зависимостей.

neocrust ★★★★★ ()
Ответ на: комментарий от Nxx

Я знаю, как поставить в openSUSE 12.1, но всё равно спасибо =]

neocrust ★★★★★ ()
Ответ на: комментарий от geekless

Они не упоролись. Официальное заявление звучит так: «В Gtk herd кадровый недобор, мы не успеваем с одной мажорной версией тулкита разгребаться, не то что с двумя. Поэтому - либо количество разработчиков и тестеров вырастет, либо gtk2 - в сад». Мне эта позиция тоже не очень нравится, но и их загруженность я тоже понимаю...

Pinkbyte ★★★★★ ()
Ответ на: комментарий от geekless

А есть какие-нибудь серьезные проблемы поддержки Gnome2 для которых нужен живой апстрим? Вот пока их нет, поддержка будет осуществляться. Ну а уж если закопают gtk2, то, как я уже сказал - ничего не попишешь.

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte

Ну а уж если закопают gtk2

Это практически невероятно. По крайней мере, до тех пор, пока в линуксе есть иксы, т.е. есть на чем тулкит запускать. gtk1 до сих пор в репах и прекрасно работает, если вдруг вылезет какое-нибудь криокамерное приложение, которое надо с ним собрать.

Но то, что другие части стека библиотек, требующегося для гнома устареют и будут выкинуты — это да.

geekless ★★ ()
Ответ на: комментарий от Pinkbyte

как я понимаю, никаких проблем с поддержкой 2 и 3 нет, кроме того, что для executable нет явного варианта как делать, т.к. слоты не подходят, юз не катит (отсылки к юзам у qt-прог), остаётся вариант с -r2xx, -r3xx но и у него есть свои минусы. В целом gnome-team готовы принимать проги с -r2XX, если кто-то готов их поддерживать. Проконсультроваться в чём проблемы и как гарантировать адекватность ебилдов для gtk2-only можно на соотв каналах в irc.

qnikst ★★★★★ ()
Ответ на: комментарий от geekless

Они там упоролись что ли? А хвалёные USE-флаги на что?

для такого применения они показали непригодность (ссылками не подреплю, т.к. и сам бы рад их увидеть)

qnikst ★★★★★ ()
Ответ на: комментарий от qnikst

юз не катит (отсылки к юзам у qt-прог)

Подробнее с этого места.

geekless ★★ ()
Ответ на: комментарий от Pinkbyte

кто-то считает, что gentoo == bleeding edge

А! Ну, это, увы, распространённое мнение :-/

KRoN73 ★★★★★ ()
Ответ на: комментарий от geekless

при появлянии kde-4 (qt) были юз флаги указывающие с каким тулкитом собираться, по словам разрабов (многих) это приводило к очень большому количеству проблем, как разрабам так и пользователям. Подробнее они не распространялись, а мне спрашивать не хотелось, тот период я или не застал или не настолько интенсивно пользовался qt програми, чтобы заметить.

qnikst ★★★★★ ()

Не подскажите, пользватели Mate + openSuse: какой загрузчик de вы используете, т.к. хочу выпилить гном3 с gdm?

Zodd ★★★★ ()
Последнее исправление: Zodd (всего исправлений: 1)
Ответ на: комментарий от Pinkbyte

А для тех кто всё ещё зевает при выходе из криокамеры - где можно посмотреть сравнение gtk2 и gtk3 по жручести памяти (оперативной и на диске)?

Deleted ()
Ответ на: комментарий от qnikst

Да ну, это же не тянет на полноценную статью, разве что они замерят вес гнома с гтк3 на каждом существующем дистрибутиве.

Deleted ()
Ответ на: комментарий от geekless

gtk1 до сих пор в репах и прекрасно работает

$ eix gtk+
[I] x11-libs/gtk+
     Available versions:  
        (1)     1.2.10-r12
        (2)     2.24.8-r1 2.24.10-r1 ~2.24.11 ~2.24.11-r1
        (3)     3.0.12-r1 3.2.3 3.2.4-r1 ~3.4.3 ~3.4.3-r1 ~3.4.4
        {{X aqua colord cups debug doc examples +introspection linguas_az linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_es linguas_et linguas_eu linguas_fi linguas_fr linguas_ga linguas_gl linguas_hr linguas_hu linguas_it linguas_ja linguas_ko linguas_lt linguas_nl linguas_nn linguas_no linguas_pl linguas_pt linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sr linguas_sv linguas_tr linguas_uk linguas_vi nls packagekit test vim-syntax wayland xinerama}}
     Installed versions:  2.24.10-r1(2)(20:23:23 19.04.2012)(-aqua -cups -debug -doc -examples -introspection -test -vim-syntax -xinerama) 3.2.4-r1(3)(20:25:43 19.04.2012)(-aqua -colord -cups -debug -doc -examples -introspection -packagekit -test -vim-syntax -xinerama)
     Homepage:            http://www.gtk.org/
     Description:         Gimp ToolKit +

Таки да, даже gtk1 до сих пор в репе. Очень много софта завязано на гтк2, так что в ближайший года два точно не выкинут.

leg0las ★★★★★ ()
Ответ на: комментарий от Zodd

Так у них же свой mdm есть. Если с ним будут проблемы - есть еще lightdm.

ArtKun ★★★★★ ()
Ответ на: комментарий от Pinkbyte

qt3 выкинули по той причине, что указана выше. нет майнтейнера - умирание проэкта - выкидывание из portage. Много ли умерло проэктов на qt3? я не сильно много вспомню) разве что могу назвать пару пакетов, которые интегрировались с третьекедами, и почили преждевременно - это knmap и kdetv

leg0las ★★★★★ ()
Ответ на: комментарий от Pinkbyte

qt3 еще могли выкинуть потому, что была накодена замена qt4-qt3support, и возможно пакеты стали собираться с ним, и все.

leg0las ★★★★★ ()
Ответ на: комментарий от Deleted

Я добавил поддержку гтк3 в одну программу. С гтк3 она потребляет памяти на 2 MiB больше.

ratvier ()

Как долго второй гном будет в стабильной ветке Дженты?

Надеюсь, что не долго. Сохрани всё, что надо в свой оверлей и будет вечно.

nCdy ()
Ответ на: комментарий от leg0las

krypt еще. Хотя современный dolphin заменяет его на 99,9%

Pinkbyte ★★★★★ ()
Ответ на: комментарий от leg0las

возможно пакеты стали собираться с ним

неа. Для этого их надо как минимум прогнать через qt3to4, который для чего-то сложнее helloworld может давать нерабочий код, который в свою очередь должен попилить ЖИВОЙ апстрим.

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte

ну собственно о qt4-qt3support, насколько я помню там это включается одним #include в начале исходника, а как работает - не пробовал)

leg0las ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.